import { ViewContainerRef, OnInit } from '@angular/core';
import { MatDialogRef } from '@angular/material';
import { ToastsManager } from 'ng2-toastr/ng2-toastr';
import { AuthenticationService } from './../service/authentication.service';
import { SharePointService } from './../../sharepoint/service/sharepoint.service';
export declare class LoginComponent implements OnInit {
    dialogRef: MatDialogRef<LoginComponent>;
    data: any;
    authenticationService: AuthenticationService;
    private toastr;
    private vcr;
    sharePointService: SharePointService;
    username: string;
    password: string;
    loginError: boolean;
    constructor(dialogRef: MatDialogRef<LoginComponent>, data: any, authenticationService: AuthenticationService, toastr: ToastsManager, vcr: ViewContainerRef);
    ngOnInit(): void;
    authenticate(): void;
}
